Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.data.functions
Class AnalyticsQueryConfig

    java.lang.Object
      com.endeca.portal.data.functions.QueryFunction
          com.endeca.portal.data.functions.QueryConfig
              com.endeca.portal.data.functions.AnalyticsQueryConfig

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AnalyticsQueryConfig

extends QueryConfig

Allow an analytics query to be added to the QueryState. Note that if you have more than one AnalyticsQueryConfig instance in a QueryState, behavior is undefined on an ENE presentation API data source. Whichever AnalyticsQueryConfig happens to be applied to the ENEQuery last before actual querying occurs will "win", and any other AnalyticsQueryConfig instances will be overridden.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_ID`
`static java.lang.String` | `HANDLER_FUNCTION`

Fields inherited from class com.endeca.portal.data.functions.QueryConfig
`id`

Fields inherited from class com.endeca.portal.data.functions.QueryFunction
`CLASS_PROPERTY`

Constructor Summary
`protected` | `AnalyticsQueryConfig()`
`` | `AnalyticsQueryConfig(java.lang.String analyticsQuery)` Construct a new AnalyticsQueryConfig with a specified query.
`` | `AnalyticsQueryConfig(java.lang.String id, java.lang.String analyticsQuery)` Construct a new AnalyticsQueryConfig with a specified query.

Method Summary
`void` | `applyToDiscoveryServiceQuery(com.endeca.mdex.conversation.Request query)` Apply this function to a Request.
`void` | `applyToENEQuery(com.endeca.navigation.ENEQuery query)` Apply this function to an ENEQuery.
`java.lang.String` | `getAnalyticsQuery()`
`java.util.List<java.lang.reflect.Method>` | `getGetters()` Return the list of property getters on this function.
`java.util.List<java.lang.reflect.Method>` | `getSetters()` Return the list of property setters on this function.
`void` | `setAnalyticsQuery(java.lang.String analyticsQuery)`
`java.lang.String` | `toString()` This class' toString is abstract: all concrete subclasses are expected to provide an implementation. toString is used in comparing QueryFunction instances for equality, so if you implement a QueryFunction subclass it is important that your toString implementation be consistent and deterministic.

Methods inherited from class com.endeca.portal.data.functions.QueryConfig
`getId, setId`

Methods inherited from class com.endeca.portal.data.functions.QueryFunction
`clone, equals, equals, getInstance, getInstance, getName, hashCode, init, setName, toJSON`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ID

    public static final java.lang.String DEFAULT_ID

See Also:
  Constant Field Values

### HANDLER_FUNCTION

    public static final java.lang.String HANDLER_FUNCTION

See Also:
  Constant Field Values

Constructor Detail

### AnalyticsQueryConfig

    protected AnalyticsQueryConfig()

### AnalyticsQueryConfig

    public AnalyticsQueryConfig(java.lang.String analyticsQuery)

  Construct a new AnalyticsQueryConfig with a specified query.

  Parameters:
    `analyticsQuery` -

### AnalyticsQueryConfig

    public AnalyticsQueryConfig(java.lang.String id,
                                java.lang.String analyticsQuery)

  Construct a new AnalyticsQueryConfig with a specified query.

  Parameters:
    `id` - A string id used to distinguish this function from others
    `analyticsQuery` -

Method Detail

### getAnalyticsQuery

    public java.lang.String getAnalyticsQuery()

### setAnalyticsQuery

    public void setAnalyticsQuery(java.lang.String analyticsQuery)

### applyToDiscoveryServiceQuery

    public void applyToDiscoveryServiceQuery(com.endeca.mdex.conversation.Request query)
                                      throws QueryFunctionUnsupportedException

  Description copied from class: `QueryFunction`
  Apply this function to a Request. Must be implemented by subclass.

  Specified by:
    `applyToDiscoveryServiceQuery` in class `QueryFunction`
  Throws:
    `QueryFunctionUnsupportedException`

### applyToENEQuery

    public void applyToENEQuery(com.endeca.navigation.ENEQuery query)
                         throws QueryFunctionUnsupportedException

  Description copied from class: `QueryFunction`
  Apply this function to an ENEQuery. Must be implemented by subclass.

  Specified by:
    `applyToENEQuery` in class `QueryFunction`
  Throws:
    `QueryFunctionUnsupportedException`

### getGetters

    public java.util.List<java.lang.reflect.Method> getGetters()

  Description copied from class: `QueryFunction`
  Return the list of property getters on this function. Must be implemented by subclass. Required for correct JSON serialization/deserialization support. For most subclasses, implementing this method should be simple, as long as your getter methods follow standard Java naming conventions (e.g. "getPropertyName()"). All you should need to write is: `

       private static List getters = Reflection.getGetters(MyFunctionClass.class);
       \@Override
       public List getGetters() {
              return getters;
       }

  `

  Specified by:
    `getGetters` in class `QueryFunction`
  Returns:
    the list of getters

### getSetters

    public java.util.List<java.lang.reflect.Method> getSetters()

  Description copied from class: `QueryFunction`
  Return the list of property setters on this function. Must be implemented by subclass. Required for correct JSON serialization/deserialization support. For most subclasses, implementing this method should be simple, as long as your setter methods follow standard Java naming conventions (e.g. "setPropertyName(PropertyType)"). All you should need to write is: `

       private static List setters = Reflection.getSetters(MyFunctionClass.class);
       \@Override
       public List getSetters() {
              return setters;
       }

  `

  Specified by:
    `getSetters` in class `QueryFunction`
  Returns:
    the list of setters

### toString

    public java.lang.String toString()

  Description copied from class: `QueryFunction`
  This class' toString is abstract: all concrete subclasses are expected to provide an implementation. toString is used in comparing QueryFunction instances for equality, so if you implement a QueryFunction subclass it is important that your toString implementation be consistent and deterministic.

  Specified by:
    `toString` in class `QueryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD